LSUSB(8)

NOM
lsusb - Afficher les périphériques USB

SYNOPSIS
lsusb [ options ]

DESCRIPTION
lsusb est un utilitaire qui vous permet d'afficher des informations relatives aux bus USB du système et aux périphériques qui y sont connectés. Pour pouvoir utiliser toutes les fonctionnalités de ce programme, vous devez avoir un noyau Linux qui prenne en charge l'interface /proc/bus/usb (par exemple, le noyau 2.3.15 ou plus récent).

OPTIONS

-v, --verbose
    Demander à lsusb d'être volubile et d'afficher des informations détaillées sur les périphériques. Cela inclut les descripteurs de configuration pour la vitesse actuelle des périphériques. Lorsqu'ils sont disponibles, les descripteurs de classe sont également affichés pour les classes de périphériques USB tels que les hubs, les périphériques audio, HID, de communications et les cartes à puce.

-s [[bus]:][devnum]
    N'afficher que les périphériques indiqués par bus et/ou devnum. Les deux identifiants doivent être fournis sous forme décimale et peuvent être omis.

-d [vendor]:[product]
    N'afficher que les périphériques dont on indique les identifiants du vendeur et du produit. Les deux identifiants doivent être fournis sous forme hexadécimale.

-D device
    Ne pas balayer le répertoire /proc/bus/usb, afficher plutôt seulement les informations du périphérique dont on a indiqué le nom de fichier de périphérique. Le fichier de périphérique devrait être quelque chose comme /proc/bus/usb/001/001. Cette option permet d'afficher des informations détaillées comme avec l'option -v ; vous devez être le superutilisateur pour pouvoir l'utiliser.

-t  Demander à lsusb d'afficher la hiérarchie physique des périphériques USB sous forme d'arbre.

-V, --version
    Afficher les informations de version et quitter.

DIAGNOSTICS

cannot open /proc/bus/usb/nnn/nnn, Permission denied (13)
    Pour obtenir des informations détaillées, lsusb doit ouvrir les fichiers dans /proc/bus/usb en lecture/écriture. Vous devez donc être le superutilisateur pour pouvoir le faire.

VALEUR RENVOYÉE
Si le périphérique indiqué n'est pas trouvé, un code de sortie non nul est renvoyé.

FICHIERS

/usr/share/usb.ids
    Une liste de tous les identifiants USB connus (vendeurs, produits, classes, sous-classes et protocoles).

/proc/bus/usb
    Une interface vers les périphériques USB fournie par les noyaux Linux postérieurs à la version 2.3.15. Elle contient un sous-répertoire par bus qui contient un fichier par périphérique et un fichier devices qui contient certains descripteurs pour chaque périphérique USB. Cette interface est également prise en charge par certains noyaux Linux 2.2.

VOIR AUSSI
lspci(8)

AUTEUR
Thomas Sailer, <sailer@ife.ee.ethz.ch>.

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 6 juin 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 lsusb ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.